diff --git a/pgadmin/slony/dlgRepCluster.cpp b/pgadmin/slony/dlgRepCluster.cpp
index 4dbe84c..c0d7d3a 100644
--- a/pgadmin/slony/dlgRepCluster.cpp
+++ b/pgadmin/slony/dlgRepCluster.cpp
@@ -1042,11 +1042,13 @@ wxString dlgRepCluster::GetSql()
 		       wxT(");\n");
 	}
 
-	if (!txtComment->GetValue().IsEmpty())
+	if ((!cluster && !txtComment->IsEmpty()) || (cluster &&
+		cluster->GetComment() != txtComment->GetValue()))
+	{
 		sql += wxT("\n")
 		       wxT("COMMENT ON SCHEMA ") + quotedName + wxT(" IS ")
 		       + qtDbString(txtComment->GetValue()) + wxT(";\n");
-
+	}
 
 	if (chkJoinCluster->GetValue())
 		sql += wxT("\n\n-- In addition, the configuration is copied from the existing cluster.\n");
